# ---------------------------------------------------------------------------
# multiClip.py
# revision 02
# Created on: Wed Apr 30 2008 04:23:48 PM
#   (generated by ArcGIS/ModelBuilder)
# Revised on: Wed May 21 2008 04:00:00 PM
# Author: John Reiser <reiser@rowan.edu>
# Usage: multiClip <Input_Features> <Clip_Features> 
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting
# Create the Geoprocessor object
gp = arcgisscripting.create()

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")

#Split the semi-colon (;) delimited input string (tables or feature classes) into a list
def SplitMultiInputs(multiInputs):
    try:
        #Remove the single quotes and parathesis around each input featureclass
        multiInputs = multiInputs.replace("(","").replace(")","").replace("'","")

        #split input tables by semicolon ";"
        return multiInputs.split(";")
    except:
        raise Exception, msgErrorSplittingInput

try:
    # Script arguments...
    Input_Features = SplitMultiInputs(sys.argv[1])
    Clip_Features = SplitMultiInputs(sys.argv[2])
    Output_Workspace = sys.argv[3]
    gp.workspace = Output_Workspace
    # Process: Clip...
    for input in Input_Features:
        for clip in Clip_Features:
            concatenated = os.path.basename(input).replace(".shp","") + "_" + os.path.basename(clip).replace(".shp","")
            outfile = gp.CreateUniqueName(concatenated, Output_Workspace)
            gp.Clip_analysis(input, clip, outfile, "")

except Exception, ErrorDesc:
    gp.AddError(str(ErrorDesc))
    print str(ErrorDesc)
